<?php

require_once(MODULE_REALDIR . 'mdl_asjpayment/include.php');

/**
 * σW[{
 */
class SC_MDL_ASJ_PAYMENT {
	/** Tuf[^ێϐ */
	var $subData = null;

	/** W[ */
	var $moduleInfo = array(
		'paymentName' => MDL_ASJPAYMENT_SERVICE_NAME
		, 'moduleName'  => MDL_ASJPAYMENT_MODULE_NAME
		, 'moduleCode'  => MDL_ASJPAYMENT_CODE
		, 'moduleVersion' => MDL_ASJPAYMENT_VERSION
	);

	/**
	 * e[ugݒ.ge[uzŋLq.
	 * $updateTable = array(
	 *	 array(
	 *	   'name' => 'e[u',
	 *	   'cols' => array(
	 *		  array('name' => 'J', 'type' => '^'),
	 *		  array('name' => 'J', 'type' => '^'),
	 *	   ),
	 *	 ),
	 *	 array(
	 *	   ...
	 *	 ),
	 *	 array(
	 *	   ...
	 *	 ),
	 * );
	 */
	var $updateTable = array(
		// dtb_payment̍XV
		array(
			'name' => 'dtb_payment'
			, 'cols'  => array(array('name' => 'module_code', 'type' => 'text'),),
		)
	);

	/**
	 * Enter description here...
	 *
	 * @var unknown_type
	 */
	var $updateFile = array();

	/**
	 * LC_AsjPgReg:install()Ă񂾍ۂdtb_modulesub_dataJ֓o^l
	 * VACYĕۑ.
	 *
	 * master_settings => f[^Ȃ
	 * user_settings => ݒȂǁA[U̓͂ɂf[^
	 */
	var $installSubData = array(
		'master_settings' => array()	// f[^Ȃǂێ
		, 'user_settings' => array()	// ݒȂǁA[U̓͂ɂf[^ێ
	);
	
	
	/**
	 * RXgN^
	 *
	 * @return void
	 */
	function SC_MDL_ASJ_PAYMENT() {
		$this->updateFile = array(array("src" => MDL_PG_ASJPAYMENT_SETTLEMENT_FILE, "dst" => MDL_PG_ASJPAYMENT_SETTLEMENT_PATH)
									, array("src" => 'media/loading.gif', "dst" => MDL_PG_ASJPAYMENT_MEDIAFILE_PATH . 'loading.gif')
									, array("src" => 'media/about_pg.jpg', "dst" => MDL_PG_ASJPAYMENT_MEDIAFILE_PATH . 'about_pg.jpg')
									, array("src" => 'media/about_pg_on.jpg', "dst" => MDL_PG_ASJPAYMENT_MEDIAFILE_PATH . 'about_pg_on.jpg')
									, array("src" => 'media/test.jpg', "dst" => MDL_PG_ASJPAYMENT_MEDIAFILE_PATH . 'test.jpg')
									, array("src" => 'media/test_on.jpg', "dst" => MDL_PG_ASJPAYMENT_MEDIAFILE_PATH . 'test_on.jpg')
		);
	}

	/**
	 * SC_MDL_ASJ_PAYMENT̃CX^X擾
	 *
	 * @return SC_MDL_ASJ_PAYMENT
	 */
	function &getInstance() {
		static $_objSC_MDL_ASJ_PAYMENT;
		if(empty($_objSC_MDL_ASJ_PAYMENT)) {
			$_objSC_MDL_ASJ_PAYMENT = new SC_MDL_ASJ_PAYMENT();
		}
		$_objSC_MDL_ASJ_PAYMENT->init();
		return $_objSC_MDL_ASJ_PAYMENT;
	}

	/**
	 * .
	 */
	function init() {
		foreach($this->moduleInfo as $k => $v) {
			$this->$k = $v;
		}
	}

	/**
	 * I.
	 */
	function destroy() {
	}

	/**
	 * W[R[h擾
	 * @param boolean $toLower truȅꍇ͏֕ϊ
	 * @return string
	 */
	function getCode($toLower = false) {
		$moduleCode = $this->moduleCode;
		return $toLower ? strtolower($moduleCode) : $moduleCode;
	}

	/**
	 * Tuf[^擾.
	 *
	 * @return mixed|null
	 */
	function getSubData($key = null) {
		if(isset($this->subData)) {
			if(is_null($key)) {
				return $this->subData;
			} else {
				return $this->subData[$key];
			}
		}
		$moduleCode = $this->getCode(true);
		$objQuery =& SC_Query::getSingletonInstance();
		$ret = $objQuery->get('sub_data', 'dtb_module', 'module_code =?', array($moduleCode));

		if(isset($ret)) {
			$this->subData = unserialize($ret);
			if(is_null($key)) {
				return $this->subData;
			} else {
				return $this->subData[$key];
			}
		}
		return null;
	}

	/**
	 * Tuf[^DB֓o^
	 * $keynull̎͑Sf[^㏑
	 *
	 * @param mixed $data
	 * @param string $key
	 */
	function registerSubData($data, $key = null) {
		$subData = $this->getSubData();

		if(is_null($key)) {
			$subData = $data;
		} else {
			$subData[$key] = $data;
		}
		$arrUpdate = array('sub_data' => serialize($subData));
		$objQuery =& SC_Query::getSingletonInstance();
		$objQuery->update('dtb_module', $arrUpdate, 'module_code = ?', array($this->getCode(true)));
		$this->subData = $subData;
	}

	/**
	 * Oo.
	 *
	 * @param string $msg
	 * @param mixed $data
	 */
	function printLog($msg, $date = null) {
		$path = DATA_REALDIR . 'logs/' . $this->getCode(true) . '_' .  date('Ymd') .  '.log';
		$text = '';
		if(is_array($msg)) {
			$text = print_r($msg, true);
		} else {
			$text = $msg;
		}
		GC_Utils_Ex::gfPrintLog($text, $path);
	}
}
