<!--{*
 * This file is part of EC-CUBE
 *
 * Copyright(c) 2000-2013 LOCKON CO.,LTD. All Rights Reserved.
 *
 * http://www.lockon.co.jp/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *}-->

<div id="undercolumn">
    <div id="undercolumn_shopping">
        <p class="flow_area">
            <img src="<!--{$TPL_URLPATH}-->img/picture/img_flow_04.jpg" alt="購入手続きの流れ" />
        </p>
        <h2 class="title"><!--{$tpl_title|h}--></h2>

        <!-- ▼その他決済情報を表示する場合は表示 -->
        <!--{if $arrOther.title.value}-->
            <p><span class="attention">■<!--{$arrOther.title.name}-->情報</span><br />
                <!--{foreach key=key item=item from=$arrOther}-->
                    <!--{if $key != "title"}-->
                        <!--{if $item.name != ""}-->
                            <!--{$item.name}-->：Њ                        <!--{/if}-->
                            <!--{$item.value|nl2br}--><br />
                    <!--{/if}-->
                <!--{/foreach}-->
            </p>
        <!--{/if}-->
        <!-- ▲コンビに決済の場合には表示 -->

        <div id="complete_area">
            <p class="message"><!--{$arrInfo.shop_name|h}-->の商品をご購入いただき、ありがとうございました。
            <!--{if $arrOrder.payment_method == "コンビニ・銀行決済(ASJペイメント)"}-->
            <br><font color="red">※注文は確定していません。</font>
            <!--{/if}-->
            <!--{if $arrPayment[0].memo03 - 50 == 4 && $arrOrder.status == MTB_ORDER_STATUS_ATODENE_REVIEW}-->
            <br><font color="red">【注意】現在、後払い決済の利用についての審査結果を確認しております。<br>
結果が判明しましたら、改めてご連絡いたします。<br>
しばらくお待ちください。</font>
            <!--{/if}-->

            <!--{if $arrPayment[0].memo03 - 50 == 7 && $arrOrder.status == MTB_ORDER_STATUS_ATOBARAI_REVIEW}-->
            <br><font color="red">【注意】現在、後払い決済の利用についての審査結果を確認しております。<br>
結果が判明しましたら、改めてご連絡いたします。<br>
しばらくお待ちください。</font>
            <!--{/if}-->

            </p>
            <p>ただいま、ご注文の確認メールをお送りさせていただきました。<br />
                万一、ご確認メールが届かない場合は、トラブルの可能性もありますので大変お手数ではございますがもう一度お問い合わせいただくか、お電話にてお問い合わせくださいませ。<br />
                今後ともご愛顧賜りますようよろしくお願い申し上げます。</p>

            <!--{if $arrOrder.payment_method == "コンビニ・銀行決済(ASJペイメント)"}-->
            <br>
            <font color="red">「決済手続きへ」をクリックして決済手続きへお進みください。<br>決済方法を選択した後、支払い方法が案内されますので代金のお支払いを行ってください。<br>なお支払い方法の画面の印刷等が済みましたら、その画面を閉じてください。</font><br>
            <br>
            <form action="<!--{$arrPayment[0].memo02}-->" method="post" target="_blank">
            <input type="hidden" name="admin" value="<!--{$arrPayment[0].memo01}-->">
            <input type="hidden" name="charge" value="<!--{$arrOrder.order_id}-->">
            <input type="hidden" name="amount" value="<!--{$arrOrder.payment_total}-->">
            <input type="hidden" name="mail" value="<!--{$arrOrder.order_email}-->">
            <input type="hidden" name="name" value="<!--{$arrOrder.order_name01}-->　<!--{$arrOrder.order_name02}-->">
            <input type="hidden" name="utf" value="1">
            <input type="hidden" name="charge_type" value="2">
            <input type="submit" value="決済手続きへ">
            </form>
            <!--{/if}-->

            <div class="shop_information">
                <p class="name"><!--{$arrInfo.shop_name|h}--></p>
                <p>TEL：<!--{$arrInfo.tel01}-->-<!--{$arrInfo.tel02}-->-<!--{$arrInfo.tel03}--> <!--{if $arrInfo.business_hour != ""}-->（受付時間/<!--{$arrInfo.business_hour}-->）<!--{/if}--><br />
                E-mail：<a href="mailto:<!--{$arrInfo.email02|escape:'hex'}-->"><!--{$arrInfo.email02|escape:'hexentity'}--></a>
                </p>
            </div>
        </div>

        <div class="btn_area">
            <ul>
                <li>
                    <a href="<!--{$smarty.const.TOP_URL}-->">
                        <img class="hover_change_image" src="<!--{$TPL_URLPATH}-->img/button/btn_toppage.jpg" alt="トップページへ" />
                    </a>
                </li>
            </ul>
        </div>

    </div>
</div>
